[Unit]
Description=LLDP daemon
Documentation=man:lldpd(8)
After=network.target

[Service]
Type=notify
NotifyAccess=main
ExecStartPre=/usr/local/bin/gen-lldp-config
ExecStart=/usr/local/sbin/lldpd -C /usr/local/etc/lldpd.conf
ExecStartPost=/usr/local/bin/apply-lldp-config
Restart=on-failure

[Install]
WantedBy=multi-user.target
